Bug 16407 - Fix Koha_borrower_modifications.t
Summary: Fix Koha_borrower_modifications.t
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Galen Charlton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-30 14:44 UTC by Marcel de Rooy
Modified: 2017-12-07 22:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16407: Fix Koha_borrower_modifications.t (3.90 KB, patch)
2016-04-30 15:00 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16407: Fix Koha_borrower_modifications.t (3.98 KB, patch)
2016-04-30 15:25 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 16407: Fix Koha_borrower_modifications.t (4.04 KB, patch)
2016-05-02 09:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16407: Simplify comments (1.57 KB, patch)
2016-05-02 09:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2016-04-30 14:44:07 UTC

    
Comment 1 Marcel de Rooy 2016-04-30 15:00:52 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2016-04-30 15:25:50 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-05-02 09:47:48 UTC
Created attachment 51077 [details] [review]
Bug 16407: Fix Koha_borrower_modifications.t

This test was using hardcoded borrower number, assuming they should be
present. Now we use TestBuilder.

Test plan:
Run the test.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Test pass before and after patch.
No errors

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2016-05-02 09:48:10 UTC
Created attachment 51078 [details] [review]
Bug 16407: Simplify comments

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-05-03 15:29:17 UTC
Pushed to master for Koha 16.05, thanks Marcel and Jonathan!
Comment 6 Julian Maurice 2016-05-16 09:04:30 UTC
Patch pushed to 3.22.x, will be in 3.22.7
Comment 7 Chris Cormack 2016-06-20 20:51:20 UTC
Pushed to 3.20.x will be in 3.20.11